pro read_mxw_ups,name,data_e,teplota,energy

;  read_kappa_ups reads upsilons and downsilons from 
;  save file (if exists) or from ups/dwns files together 
;  with temperatures and transition energies 

;  INPUT
;  name - full name of save the file (with its path) without extension
;  OUTPUT
;  reduced upsilons and full downsilons for the kappa-distribution

;  EXAMPLE:
;  read_kappa_ups, !data_pth+'/fe/fe_11/fe_11_mxw',data_e,data_d,tmp,energy  
;

  save_name=name+'.sav'

  result=findfile(save_name)
    if result ne '' then begin 
       restore,save_name
       teplota=tmp
    endif else begin
      e_name=name+'.ups'
      result=findfile(e_name)
        if result eq '' then goto, label
      p=fltarr(2)
      openr,lun,e_name,/get_lun
      readf,lun,p
      tmp=dblarr(p(1))
      data=dblarr(p(1)+5,p(0)) 
      readf,lun,tmp
      readf,lun, data
      close, lun
      free_lun,lun
      data_e=double(data(5:*,*))
      energy=reform(double(data(4,*)))
      teplota=tmp
    endelse
goto, koniec
   
label:
print,'ERROR: No data for '+name

koniec:

end
