pro ups_beam_interp_str,gname,flux,cold,str_eb
;
; interpolation/extrapolation of the excitation by electron beam
;
;
;  INPUT:
;  ion   - filename of  ion with tits full path, e.g. !data_pth+'c/c_4/c_4'
;  flux - total flux of electron beam (nasobok 1.e+10)
;  cold- column density
;
;  OUTPUT:
;  str:
;  ups   - upsilon*eb_dens for column density
;  str   - data (lv1,lv2,ebeam_ups)
;        - flux
;        - cold - column density
; 
;  EXAMPLES:
;  ups_beam_interp_str,'si_4',1.,5.e+17,str_eb
;  
;  

;toto je spcialne pre Si IV
  
     restore,'/Users/elenadzifcakova/elena/fortran/idl_flarix/noneq_ioniz/sav/si_4_eb_ioniz_15lev.sav'; data_eb,cd,eb_l1,eb_l2
;     DATA_EB         DOUBLE    = Array[44, 105]
;     CD              DOUBLE    = Array[44]
;     EB_L1           INT       = Array[105]
;     EB_L2           INT       = Array[105]  

     n_dat=n_elements(eb_l1)
 
     y=alog10(cd)
     
     ups_eb=dblarr(n_dat)

     if cold le 100 then c_den=cold else c_den=alog10(cold)
      
     for i=0, n_dat-1 do begin
        a=reform(data_eb(*,i))
        ind=where(a gt 0., count)
        
        if (count gt 0) then begin
           b=spline(y(ind),alog10(a(ind)),c_den)
           ups_eb(i)=flux*10.^b
        endif else begin
           ups_eb(i)=0.
        endelse
        
     endfor
        
      
     d0str={ lvl1: 0, lvl2: 0, ups_eb: 0.d+0}
     dstr0=replicate(d0str,n_dat)
     dstr0.lvl1 = eb_l1
     dstr0.lvl2 = eb_l2
     dstr0.ups_eb=ups_eb

     strc={ data: dstr0}
       

     strc=add_tag(strc,flux,'flux')
     strc=add_tag(strc,y,'Log_column_dens')
      

     str_eb=strc
       
end
